Name: x11-driver-video-chips
Version: 1.4.0
Release: %mkrel 3
Summary: X.org driver for Chips and Technologies
Group: System/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/driver/xf86-video-chips-%{version}.tar.bz2
License: MIT
ExclusiveArch: %ix86 x86_64
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
Conflicts: xorg-x11-server < 7.0

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Patch1: 0001-Import-existing-patches-that-were-originally-Red-Ha.patch

%description
x11-driver-video-chips is the X.org driver for Chips and Technologies boards.

%prep
%setup -q -n xf86-video-chips-%{version}
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc COPYING
%{_libdir}/xorg/modules/drivers/chips_drv.so
%{_mandir}/man4/chips.*




%changelog
* Fri Apr 01 2022 umeabot <umeabot> 1.4.0-3.mga9
+ Revision: 1837987
- Mageia 9 Mass Rebuild

* Sat Oct 16 2021 tv <tv> 1.4.0-2.mga9
+ Revision: 1751702
- Rebuild for X.org 21.1
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 19 2020 tv <tv> 1.4.0-2.mga8
+ Revision: 1544078
- only build on x86 x86_64
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Feb 17 2019 tv <tv> 1.4.0-1.mga7
+ Revision: 1367942
- new release

* Fri Dec 28 2018 tv <tv> 1.3.0-1.mga7
+ Revision: 1345664
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.2.7-3.mga7
+ Revision: 1301750
- Mageia 7 Mass Rebuild

* Fri Mar 09 2018 tv <tv> 1.2.7-2.mga7
+ Revision: 1207707
- rebuild for xserver 1.20 RC1

* Wed Jan 18 2017 tv <tv> 1.2.7-1.mga6
+ Revision: 1082226
- new release

* Thu Nov 17 2016 tv <tv> 1.2.6-6.mga6
+ Revision: 1067934
- remove debian fix (it actually breaks the build)
- add fixes from git
- rebuild for xserver 1.19
- submit to core/release
- rebuild for new xserver
- drop merged patch
- new release

* Wed Jun 24 2015 tv <tv> 1.2.5-12.mga6
+ Revision: 842354
- fixes from git
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 1.2.5-11.mga5
+ Revision: 740627
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.5-10.mga5
+ Revision: 690423
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 1.2.5-9.mga5
+ Revision: 635010
- submit to core/release

* Fri Jun 06 2014 tv <tv> 1.2.5-8.mga5
+ Revision: 633668
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 1.2.5-7.mga5
+ Revision: 614358
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 1.2.5-6.mga5
+ Revision: 582309
- patch 0: fix build with xserver-1.14

* Sat Oct 19 2013 umeabot <umeabot> 1.2.5-5.mga4
+ Revision: 525417
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 1.2.5-4.mga4
+ Revision: 433146
- submit to core/release

* Fri May 24 2013 tv <tv> 1.2.5-3.mga4
+ Revision: 426048
- patch 0: fix build with xserver-1.14

* Mon Jan 14 2013 umeabot <umeabot> 1.2.5-3.mga3
+ Revision: 385977
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 tv <tv> 1.2.5-2.mga3
+ Revision: 288955
- rebuild for new xserver

* Thu Aug 30 2012 tv <tv> 1.2.5-1.mga3
+ Revision: 285782
- add missing iopl.h (debian fix through mdv)
- drop patch 0 (merged)
- new release

* Wed Jun 06 2012 tmb <tmb> 1.2.4-7.mga3
+ Revision: 256384
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1.2.4-6.mga3
+ Revision: 253005
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 1.2.4-5.mga3
+ Revision: 250245
- rediff for clean apply
- use %%apply_patches exclusively
- patch for new X.org server ABI
- rebuild for new X.org server

* Tue Dec 06 2011 tmb <tmb> 1.2.4-4.mga2
+ Revision: 177555
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1.2.4-3.mga2
+ Revision: 153115
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 1.2.4-2.mga1
+ Revision: 64390
- rebuild for new xserver-1.10

* Tue Mar 01 2011 tv <tv> 1.2.4-1.mga1
+ Revision: 62105
- new release

* Fri Feb 11 2011 tmb <tmb> 1.2.3-3.mga1
+ Revision: 50194
- imported package x11-driver-video-chips


* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 1.2.3-3mdv2011.0
+ Revision: 595739
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 1.2.3-2mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Mon Jul 26 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.2.3-1mdv2011.0
+ Revision: 560878
- New version: 1.2.3

* Thu Aug 20 2009 Thierry Vignaud <tv@mandriva.org> 1.2.2-1mdv2010.0
+ Revision: 418375
- new release

* Tue Aug 11 2009 Funda Wang <fwang@mandriva.org> 1.2.1-2mdv2010.0
+ Revision: 414548
- use configure2_5x

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 1.2.1-2mdv2009.1
+ Revision: 321381
- Rebuild for new xserver

* Tue Dec 23 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 1.2.1-1mdv2009.1
+ Revision: 317846
- New version 1.2.1

* Sun Nov 30 2008 Adam Williamson <awilliamson@mandriva.org> 1.2.0-3mdv2009.1
+ Revision: 308213
- rebuild for new X server

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.2.0-2mdv2009.0
+ Revision: 265905
- rebuild early 2009.0 package (before pixel changes)
- improved description
- fix group
- add missing dot at end of description
- improved summary

* Tue Apr 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.2.0-1mdv2009.0
+ Revision: 194213
- Update to version 1.2.0.

* Mon Feb 11 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1.1-8mdv2008.1
+ Revision: 165523
- Revert to use upstream tarball and remove local patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.1-7mdv2008.1
+ Revision: 156600
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1.1-6mdv2008.1
+ Revision: 154879
- Updated BuildRequires and resubmit package.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Note local tag xf86-input-chips-1.1.1@mandriva suggested on upstream
  Tag at git checkout d449ee092bbc8b4e08371b8067f1d8e320c4297e, that is
  a few harmless commits (adding .csvignore, .gitignore, etc) commits after
  the chips-1_1_1 existing tag.
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.1-5mdv2008.1
+ Revision: 98687
- minor spec cleanup
- build against new xserver (1.4)

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-4mdv2008.0
+ Revision: 75755
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages


* Fri Jun 02 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-02 19:21:24 (31881)
- Default to SWcursor on CT65550 as hardware cursor is reported broken on this chip
- Disable 2D acceleration on C&T 69000 by default, since it is reported to be broken
- Remove old tarball

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 19:59:30 (31594)
- Updated drivers for X11R7.1

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

